NisusWrtTextInternal::Font Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
NisusWrtTextInternal::Font Struct Reference

Internal: the fonts and many other data. More...

## Public Member Functions
| Font ()
| the constructor More...
bool | isVariable () const

## Public Attributes
MWAWFont | m_font
| the font More...
int | m_pictureId
| the picture id ( if this is for a picture ) More...
int | m_pictureWidth
| the picture width More...
int | m_markId
| a mark id More...
int | m_variableId
| the variable id : in fact cst[unkn] + v_id More...
int | m_format
| the main format ... More...
int | m_format2
| a series of flags More...
Box2i | m_pictureDim [2]
| two picture dim ( orig && file ?) More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<< More...

## Detailed Description

Internal: the fonts and many other data.

## Constructor & Destructor Documentation

NisusWrtTextInternal::Font::Font | ( |  | ) |
| inline

the constructor

## Member Function Documentation

bool NisusWrtTextInternal::Font::isVariable | ( |  | ) | const
| inline

Referenced by NisusWrtText::sendText().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Font const & | font
| ) |  |
| friend

operator<<

## Member Data Documentation

std::string NisusWrtTextInternal::Font::m_extra

extra data

Referenced by NisusWrtTextInternal::operator<<(), and NisusWrtText::readFonts().

MWAWFont NisusWrtTextInternal::Font::m_font

the font

Referenced by NisusWrtText::readFonts(), and NisusWrtText::sendText().

int NisusWrtTextInternal::Font::m_format

the main format ...

Referenced by NisusWrtTextInternal::operator<<(), and NisusWrtText::readFonts().

int NisusWrtTextInternal::Font::m_format2

a series of flags

Referenced by isVariable(), NisusWrtTextInternal::operator<<(), and NisusWrtText::readFonts().

int NisusWrtTextInternal::Font::m_markId

a mark id

Referenced by NisusWrtTextInternal::operator<<(), and NisusWrtText::readFonts().

Box2i NisusWrtTextInternal::Font::m_pictureDim[2]

two picture dim ( orig && file ?)

Referenced by NisusWrtTextInternal::operator<<(), NisusWrtText::readFonts(), and NisusWrtText::sendText().

int NisusWrtTextInternal::Font::m_pictureId

the picture id ( if this is for a picture )

Referenced by NisusWrtTextInternal::operator<<(), NisusWrtText::readFonts(), and NisusWrtText::sendText().

int NisusWrtTextInternal::Font::m_pictureWidth

the picture width

Referenced by NisusWrtTextInternal::operator<<(), and NisusWrtText::readFonts().

int NisusWrtTextInternal::Font::m_variableId

the variable id : in fact cst[unkn] + v_id

Referenced by NisusWrtTextInternal::operator<<(), and NisusWrtText::readFonts().

The documentation for this struct was generated from the following file:

- NisusWrtText.cxx